diff --git a/src/dot.cpp b/src/dot.cpp
index b62a536..5fa8c52 100644
--- a/src/dot.cpp
+++ b/src/dot.cpp
@@ -1093,7 +1093,11 @@ bool DotFilePatcher::run()
         Map *map = m_maps.at(mapId);
         //printf("patching FIG %d in file %s with contents of %s\n",
         //   mapId,m_patchFile.data(),map->mapFile.data());
-        writeVecGfxFigure(t,map->label,map->mapFile);
+        if(!writeVecGfxFigure(t,map->label,map->mapFile))
+        {      
+			err("problem writing Gfx %d figure!\n",t);
+			return FALSE;
+		}
       }
       else // error invalid map id!
       {
